Name:       bazaar
Version:    1.4.2
Summary:    A distributed revision control system
Release:    11%{?dist}
License:    GPLv2
Group:      Development/Tools
Source:     http://bazaar.canonical.com/releases/src/%{name}_%{version}.tar.gz
Source1:    http://bazaar.canonical.com/releases/src/bazaar-doc_1.4.tar.gz
Patch0:     bazaar-neon-escape.patch
Patch1:     bazaar-1.4.2-macropen.patch
Patch2:     bazaar-1.4.2-neon026.patch
URL:        http://bazaar.canonical.com/

BuildRequires: automake which gettext python-docutils tetex-latex gawk
BuildRequires: neon-devel gpgme-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


%description
bazaar is an implementation of GNU Arch in C, based on tla, but designed
to be more intuitive and user-friendly.

GNU Arch is a revision control system with features that are ideal for
projects characterised by widely distributed development, concurrent
support of multiple releases, and substantial amounts of development
on branches.  It can be a replacement for CVS and corrects many
mis-features of that system.

%prep
# unpack the source
%setup -q -n thelove@canonical.com---dists--bazaar--1.4
%patch0 -p1
%patch1 -p1
%patch2 -p1
# unpack the documentation
%setup -q -n thelove@canonical.com---dists--bazaar--1.4 -D -T -a 1

%build
mkdir build
cd build
CFLAGS="${CFLAGS:-$RPM_OPT_FLAGS}"
export CFLAGS
../src/configure --prefix=%{_prefix}
make

# build the man page
env PATH="${PWD}/baz/baz:${PATH}" perl ../src/baz-manpage/generate-manpage.pl baz.1

# fix up #! line
sed 's,^#!.*$,#!/usr/bin/gawk -f,' ../src/baz/=gpg-check.awk > bazaar-gpg-check

# build the rest of the documentation
cd ../thelove@canonical.com---bazaar-docs--devo--1.4/bazaar-docs
./bootstrap.sh
mkdir ../build && cd ../build
../bazaar-docs/configure --datadir=${PWD}/../../
make

%install
rm -rf $RPM_BUILD_ROOT
cd build
CFLAGS="${CFLAGS:-$RPM_OPT_FLAGS}"
export CFLAGS
make prefix=$RPM_BUILD_ROOT%{_prefix} install

install -D baz.1 $RPM_BUILD_ROOT%{_mandir}/man1/baz.1
install -m755 bazaar-gpg-check $RPM_BUILD_ROOT%{_bindir}/bazaar-gpg-check

# The stand alone annotate is meant to debug baz interals, not installation
# see: http://lists.gnu.org/archive/html/gnu-arch-users/2005-04/msg00117.html
if [ -f $RPM_BUILD_ROOT%{_bindir}/annotate ]; then
    rm $RPM_BUILD_ROOT%{_bindir}/annotate
fi

%find_lang %{name}

# install the documentation
cd ../thelove@canonical.com---bazaar-docs--devo--1.4/build
make datadir=${PWD}/../../ install

%clean
rm -rf $RPM_BUILD_ROOT

%files -f build/%{name}.lang
%defattr(-, root, root)
%doc COPYING doc/*
%{_bindir}/baz
%{_bindir}/bazaar-gpg-check
%{_mandir}/*/*

%changelog
* Wed Feb 20 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.4.2-11
- Autorebuild for GCC 4.3

* Wed Dec 05 2007 Zoltan Kota <z.kota at gmx.net> 1.4.2-10
- rebuild for new openssl

* Sat Aug 25 2007 Zoltan Kota <z.kota at gmx.net> 1.4.2-9
- Update license tag
- Add awk to BuildRequires
- Add patches to fix issues related to glibc open() changes
  and neon 0.27 API changes (Joe Orton)

* Sat Sep 16 2006 Shahms E. King <shahms@shahms.com> 1.4.2-8
- Rebuild for FC6

* Thu Jun 29 2006 Shahms E. King <shahms@shahms.com> 1.4.2-7
- BuildRequires automake to fix minimal build (bug #197222)

* Wed Feb 15 2006 Shahms E. King <shahms@shahms.com> 1.4.2-6
- Rebuild for FC5

* Fri Feb 10 2006 Shahms E. King <shahms@shahms.com> 1.4.2-5
- Fix for changes in ne_path_escape

* Wed Feb 01 2006 Shahms E. King <shahms@shahms.com> 1.4.2-4
- Rebuild against new neon

* Mon Nov 14 2005 Shahms E. King <shahms@shahms.com> 1.4.2-3
- Rebuild against new OpenSSL

* Thu Jul 07 2005 Shahms E. King <shahms@shahms.com> 1.4.2-2
- Remove the standalone "annotate" binary to fix bug #162665

* Wed Jun 29 2005 Shahms E. King <shahms@shahms.com> 1.4.2-1
- Update to 1.4.2
- Don't explicitly gzip man pages

* Mon Jun 13 2005 Shahms E. King <shahms@shahms.com> 1.4.1-1
- Update to 1.4.1
- Build and include extra documentation
- Remove upstreamed gcc4 patch

* Fri May 20 2005 Shahms E. King <shahms@shahms.com> 1.3.2-5
- Build man page

* Thu May 12 2005 Shahms E. King <shahms@shahms.com> 1.3.2-4
- Add dist tag, rebuild for missing architectures

* Wed Apr 20 2005 Shahms E. King <shahms@shahms.com> 1.3.2-3
- Fix branch EVR problem

* Mon Apr 18 2005 Shahms E. King <shahms@shahms.com> 1.3.2-2
- Remove unnecessary grep for language files

* Mon Apr 18 2005 Shahms E. King <shahms@shahms.com> 1.3.2-1
- New upstream sources 1.3.2

* Wed Apr 13 2005 Shahms E. King <shahms@shahms.com> 1.3.1-1
- Update to bazaar 1.3.1
- Fix gcc4 compilation
- BuildRequires gpgme-devel

* Thu Mar 03 2005 Shahms E. King <shahms@shahms.com> 1.2-1
- Update to bazaar 1.2
- Clean up spec file
- Added which and gettext to BuildRequires

* Mon Nov 01 2004 James Henstridge <jamesh@canonical.com> 1.0
- Adapt tla spec file for bazaar

* Tue Jun 13 2004 Colin Walters <walters@redhat.com> 1.2-3
- BuildRequire neon-devel.

* Tue Jun 01 2004 Colin Walters <walters@redhat.com> 1.2-2
- Use external neon.

* Sat May 15 2004 Colin Walters <walters@redhat.com>
- First import into rh CVS

* Sat Mar 20 2004 Colin Walters <walters@verbum.org>
- Bump to 1.2.

* Tue Jan 16 2004 Colin Walters <walters@verbum.org>
- Bump to my walters branch.

* Tue Jan 13 2004 Colin Walters <walters@verbum.org>
- Created new spec file.
